org.apache.lucene.codecs.blocktree

## Enum BlockTreeTermsReader.FSTLoadMode

- java.lang.Object
- - java.lang.Enum<BlockTreeTermsReader.FSTLoadMode>
  - - org.apache.lucene.codecs.blocktree.BlockTreeTermsReader.FSTLoadMode

- All Implemented Interfaces:
    Serializable, Comparable<BlockTreeTermsReader.FSTLoadMode>
  Enclosing class:
    BlockTreeTermsReader

      public static enum BlockTreeTermsReader.FSTLoadMode
      extends Enum<BlockTreeTermsReader.FSTLoadMode>

  An enum that allows to control if term index FSTs are loaded into memory or read off-heap

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTO` Automatically make the decision if FSTs are read from disk depending if the segment read from an MMAPDirectory An exception is made for ID fields in an IndexWriter context which are always loaded into memory.
    `OFF_HEAP` Always read FSTs from disk.
    `ON_HEAP` Never read FSTs from disk ie.
    `OPTIMIZE_UPDATES_OFF_HEAP` Always read FSTs from disk.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BlockTreeTermsReader.FSTLoadMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BlockTreeTermsReader.FSTLoadMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OFF_HEAP

          public static final BlockTreeTermsReader.FSTLoadMode OFF_HEAP

      Always read FSTs from disk. NOTE: If this option is used the FST will be read off-heap even if buffered directory implementations are used.

    - #### ON_HEAP

          public static final BlockTreeTermsReader.FSTLoadMode ON_HEAP

      Never read FSTs from disk ie. all fields FSTs are loaded into memory

    - #### OPTIMIZE_UPDATES_OFF_HEAP

          public static final BlockTreeTermsReader.FSTLoadMode OPTIMIZE_UPDATES_OFF_HEAP

      Always read FSTs from disk. An exception is made for ID fields in an IndexWriter context which are always loaded into memory. This is useful to guarantee best update performance even if a non MMapDirectory is used. NOTE: If this option is used the FST will be read off-heap even if buffered directory implementations are used. See `AUTO`

    - #### AUTO

          public static final BlockTreeTermsReader.FSTLoadMode AUTO

      Automatically make the decision if FSTs are read from disk depending if the segment read from an MMAPDirectory An exception is made for ID fields in an IndexWriter context which are always loaded into memory.

  - ### Method Detail

    - #### values

          public static BlockTreeTermsReader.FSTLoadMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BlockTreeTermsReader.FSTLoadMode c : BlockTreeTermsReader.FSTLoadMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BlockTreeTermsReader.FSTLoadMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.